#ifndef DIRECTBYTEBUFFER_HPP_INCLUDED
#define DIRECTBYTEBUFFER_HPP_INCLUDED

#include "AbstractByteBuffer.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/ByteBuffer.hpp"

namespace Internal
{
    class DirectByteBuffer : public AbstractByteBuffer
    {
        public:
            DirectByteBuffer(const void* Obj);

            DirectByteBuffer() = default;
            DirectByteBuffer(DirectByteBuffer&& Obj) = default;
            DirectByteBuffer(const DirectByteBuffer& Obj) = default;
            DirectByteBuffer& operator=(DirectByteBuffer&& Obj) = default;
            DirectByteBuffer& operator=(const DirectByteBuffer& Obj) = default;

            static Class GetClass();

            ByteBuffer GetBuffer() const;

    };
}

#endif // DIRECTBYTEBUFFER_HPP_INCLUDED
